diff --git a/backend/src/mailer/sendEMail.test.ts b/backend/src/mailer/sendEMail.test.ts
index 8a13c027d..5746f1ead 100644
--- a/backend/src/mailer/sendEMail.test.ts
+++ b/backend/src/mailer/sendEMail.test.ts
@@ -31,6 +31,7 @@ describe('sendEMail', () => {
     beforeEach(async () => {
       result = await sendEMail({
         to: 'receiver@mail.org',
+        cc: 'support@gradido.net',
         subject: 'Subject',
         text: 'Text text text',
       })
@@ -50,6 +51,7 @@ describe('sendEMail', () => {
       CONFIG.EMAIL = true
       result = await sendEMail({
         to: 'receiver@mail.org',
+        cc: 'support@gradido.net',
         subject: 'Subject',
         text: 'Text text text',
       })
@@ -72,6 +74,7 @@ describe('sendEMail', () => {
       expect((createTransport as jest.Mock).mock.results[0].value.sendMail).toBeCalledWith({
         from: `Gradido (nicht antworten) <${CONFIG.EMAIL_SENDER}>`,
         to: 'receiver@mail.org',
+        cc: 'support@gradido.net',
         subject: 'Subject',
         text: 'Text text text',
       })
diff --git a/backend/src/mailer/sendEMail.ts b/backend/src/mailer/sendEMail.ts
index 640dd7f4c..746daa810 100644
--- a/backend/src/mailer/sendEMail.ts
+++ b/backend/src/mailer/sendEMail.ts
@@ -5,10 +5,15 @@ import CONFIG from '@/config'
 
 export const sendEMail = async (emailDef: {
   to: string
+  cc?: string
   subject: string
   text: string
 }): Promise<boolean> => {
-  logger.info(`send Email: to=${emailDef.to}, subject=${emailDef.subject}, text=${emailDef.text}`)
+  logger.info(
+    `send Email: to=${emailDef.to}` +
+      (emailDef.cc ? `, cc=${emailDef.cc}` : '') +
+      `, subject=${emailDef.subject}, text=${emailDef.text}`,
+  )
 
   if (!CONFIG.EMAIL) {
     logger.info(`Emails are disabled via config...`)
diff --git a/backend/src/mailer/text/accountMultiRegistration.ts b/backend/src/mailer/text/accountMultiRegistration.ts
new file mode 100644
index 000000000..c5b55bac5
--- /dev/null
+++ b/backend/src/mailer/text/accountMultiRegistration.ts
@@ -0,0 +1,25 @@
+export const accountMultiRegistration = {
+  de: {
+    subject: 'Gradido: Erneuter Registrierungsversuch mit deiner E-Mail',
+    text: (data: {
+      firstName: string
+      lastName: string
+      email: string
+      resendLink: string
+    }): string =>
+      `Hallo ${data.firstName} ${data.lastName},
+
+Deine E-Mail-Adresse wurde soeben erneut benutzt, um bei Gradido ein Konto zu registrieren.
+Es existiert jedoch zu deiner E-Mail-Adresse schon ein Konto.
+
+Klicke bitte auf den folgenden Link, falls du dein Passwort vergessen haben solltest:
+${data.resendLink}
+oder kopiere den obigen Link in dein Browserfenster.
+
+Wenn du nicht derjenige bist, der sich versucht hat erneut zu registrieren, wende dich bitte an unseren support:
+https://gradido.net/de/contact/
+
+Mit freundlichen Grüßen,
+dein Gradido-Team`,
+  },
+}
diff --git a/backend/src/seeds/contributionLink/ContributionLinkInterface.ts b/backend/src/seeds/contributionLink/ContributionLinkInterface.ts
new file mode 100644
index 000000000..15ba4b72d
--- /dev/null
+++ b/backend/src/seeds/contributionLink/ContributionLinkInterface.ts
@@ -0,0 +1,7 @@
+export interface ContributionLinkInterface {
+  amount: number
+  name: string
+  memo: string
+  validFrom?: Date
+  validTo?: Date
+}
diff --git a/backend/src/seeds/contributionLink/index.ts b/backend/src/seeds/contributionLink/index.ts
new file mode 100644
index 000000000..41d28eb60
--- /dev/null
+++ b/backend/src/seeds/contributionLink/index.ts
@@ -0,0 +1,18 @@
+import { ContributionLinkInterface } from './ContributionLinkInterface'
+
+export const contributionLinks: ContributionLinkInterface[] = [
+  {
+    name: 'Dokumenta 2017',
+    memo: 'Vielen Dank für deinen Besuch bei der Dokumenta 2017',
+    amount: 200,
+    validFrom: new Date(2017, 3, 8),
+    validTo: new Date(2017, 6, 16),
+  },
+  {
+    name: 'Dokumenta 2022',
+    memo: 'Vielen Dank für deinen Besuch bei der Dokumenta 2022',
+    amount: 200,
+    validFrom: new Date(2022, 5, 18),
+    validTo: new Date(2022, 8, 25),
+  },
+]
diff --git a/backend/src/seeds/factory/contributionLink.ts b/backend/src/seeds/factory/contributionLink.ts
new file mode 100644
index 000000000..5c83b6ad3
--- /dev/null
+++ b/backend/src/seeds/factory/contributionLink.ts
@@ -0,0 +1,29 @@
+import { ApolloServerTestClient } from 'apollo-server-testing'
+import { createContributionLink } from '@/seeds/graphql/mutations'
+import { login } from '@/seeds/graphql/queries'
+import { ContributionLink } from '@model/ContributionLink'
+import { ContributionLinkInterface } from '@/seeds/contributionLink/ContributionLinkInterface'
+
+export const contributionLinkFactory = async (
+  client: ApolloServerTestClient,
+  contributionLink: ContributionLinkInterface,
+): Promise<ContributionLink> => {
+  const { mutate, query } = client
+
+  // login as admin
+  await query({ query: login, variables: { email: 'peter@lustig.de', password: 'Aa12345_' } })
+
+  const variables = {
+    amount: contributionLink.amount,
+    memo: contributionLink.memo,
+    name: contributionLink.name,
+    cycle: 'ONCE',
+    maxPerCycle: 1,
+    maxAmountPerMonth: 200,
+    validFrom: contributionLink.validFrom ? contributionLink.validFrom.toISOString() : undefined,
+    validTo: contributionLink.validTo ? contributionLink.validTo.toISOString() : undefined,
+  }
+
+  const result = await mutate({ mutation: createContributionLink, variables })
+  return result.data.createContributionLink
+}
diff --git a/backend/src/seeds/factory/creation.ts b/backend/src/seeds/factory/creation.ts
index e49be3758..d3f0f78ca 100644
--- a/backend/src/seeds/factory/creation.ts
+++ b/backend/src/seeds/factory/creation.ts
@@ -1,13 +1,13 @@
 /* eslint-disable @typescript-eslint/no-explicit-any */
 /* eslint-disable @typescript-eslint/explicit-module-boundary-types */
 
-import { createPendingCreation, confirmPendingCreation } from '@/seeds/graphql/mutations'
+import { adminCreateContribution, confirmContribution } from '@/seeds/graphql/mutations'
 import { login } from '@/seeds/graphql/queries'
 import { CreationInterface } from '@/seeds/creation/CreationInterface'
 import { ApolloServerTestClient } from 'apollo-server-testing'
 import { User } from '@entity/User'
 import { Transaction } from '@entity/Transaction'
-import { AdminPendingCreation } from '@entity/AdminPendingCreation'
+import { Contribution } from '@entity/Contribution'
 // import CONFIG from '@/config/index'
 
 export const nMonthsBefore = (date: Date, months = 1): string => {
@@ -17,23 +17,25 @@ export const nMonthsBefore = (date: Date, months = 1): string => {
 export const creationFactory = async (
   client: ApolloServerTestClient,
   creation: CreationInterface,
-): Promise<AdminPendingCreation | void> => {
+): Promise<Contribution | void> => {
   const { mutate, query } = client
 
   await query({ query: login, variables: { email: 'peter@lustig.de', password: 'Aa12345_' } })
 
   // TODO it would be nice to have this mutation return the id
-  await mutate({ mutation: createPendingCreation, variables: { ...creation } })
+  await mutate({ mutation: adminCreateContribution, variables: { ...creation } })
 
   const user = await User.findOneOrFail({ where: { email: creation.email } })
 
-  const pendingCreation = await AdminPendingCreation.findOneOrFail({
+  const pendingCreation = await Contribution.findOneOrFail({
     where: { userId: user.id, amount: creation.amount },
-    order: { created: 'DESC' },
+    order: { createdAt: 'DESC' },
   })
 
   if (creation.confirmed) {
-    await mutate({ mutation: confirmPendingCreation, variables: { id: pendingCreation.id } })
+    await mutate({ mutation: confirmContribution, variables: { id: pendingCreation.id } })
+
+    const confirmedCreation = await Contribution.findOneOrFail({ id: pendingCreation.id })
 
     if (creation.moveCreationDate) {
       const transaction = await Transaction.findOneOrFail({
@@ -41,6 +43,9 @@ export const creationFactory = async (
         order: { balanceDate: 'DESC' },
       })
       if (transaction.decay.equals(0) && transaction.creationDate) {
+        confirmedCreation.contributionDate = new Date(
+          nMonthsBefore(transaction.creationDate, creation.moveCreationDate),
+        )
         transaction.creationDate = new Date(
           nMonthsBefore(transaction.creationDate, creation.moveCreationDate),
         )
@@ -48,6 +53,7 @@ export const creationFactory = async (
           nMonthsBefore(transaction.balanceDate, creation.moveCreationDate),
         )
         await transaction.save()
+        await confirmedCreation.save()
       }
     }
   } else {
diff --git a/backend/src/seeds/graphql/mutations.ts b/backend/src/seeds/graphql/mutations.ts
index e66827566..bf898bd7d 100644
--- a/backend/src/seeds/graphql/mutations.ts
+++ b/backend/src/seeds/graphql/mutations.ts
@@ -81,15 +81,26 @@ export const createTransactionLink = gql`
 
 // from admin interface
 
-export const createPendingCreation = gql`
+export const adminCreateContribution = gql`
   mutation ($email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    createPendingCreation(email: $email, amount: $amount, memo: $memo, creationDate: $creationDate)
+    adminCreateContribution(
+      email: $email
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    )
   }
 `
 
-export const confirmPendingCreation = gql`
+export const confirmContribution = gql`
   mutation ($id: Int!) {
-    confirmPendingCreation(id: $id)
+    confirmContribution(id: $id)
+  }
+`
+
+export const setUserRole = gql`
+  mutation ($userId: Int!, $isAdmin: Boolean!) {
+    setUserRole(userId: $userId, isAdmin: $isAdmin)
   }
 `
 
@@ -105,19 +116,19 @@ export const unDeleteUser = gql`
   }
 `
 
-export const createPendingCreations = gql`
-  mutation ($pendingCreations: [CreatePendingCreationArgs!]!) {
-    createPendingCreations(pendingCreations: $pendingCreations) {
+export const adminCreateContributions = gql`
+  mutation ($pendingCreations: [AdminCreateContributionArgs!]!) {
+    adminCreateContributions(pendingCreations: $pendingCreations) {
       success
-      successfulCreation
-      failedCreation
+      successfulContribution
+      failedContribution
     }
   }
 `
 
-export const updatePendingCreation = gql`
+export const adminUpdateContribution = gql`
   mutation ($id: Int!, $email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    updatePendingCreation(
+    adminUpdateContribution(
       id: $id
       email: $email
       amount: $amount
@@ -132,8 +143,121 @@ export const updatePendingCreation = gql`
   }
 `
 
-export const deletePendingCreation = gql`
+export const adminDeleteContribution = gql`
   mutation ($id: Int!) {
-    deletePendingCreation(id: $id)
+    adminDeleteContribution(id: $id)
+  }
+`
+
+export const createContributionLink = gql`
+  mutation (
+    $amount: Decimal!
+    $name: String!
+    $memo: String!
+    $cycle: String!
+    $validFrom: String
+    $validTo: String
+    $maxAmountPerMonth: Decimal
+    $maxPerCycle: Int! = 1
+  ) {
+    createContributionLink(
+      amount: $amount
+      name: $name
+      memo: $memo
+      cycle: $cycle
+      validFrom: $validFrom
+      validTo: $validTo
+      maxAmountPerMonth: $maxAmountPerMonth
+      maxPerCycle: $maxPerCycle
+    ) {
+      id
+      amount
+      name
+      memo
+      code
+      link
+      createdAt
+      validFrom
+      validTo
+      maxAmountPerMonth
+      cycle
+      maxPerCycle
+    }
+  }
+`
+
+export const updateContributionLink = gql`
+  mutation (
+    $amount: Decimal!
+    $name: String!
+    $memo: String!
+    $cycle: String!
+    $validFrom: String
+    $validTo: String
+    $maxAmountPerMonth: Decimal
+    $maxPerCycle: Int! = 1
+    $id: Int!
+  ) {
+    updateContributionLink(
+      amount: $amount
+      name: $name
+      memo: $memo
+      cycle: $cycle
+      validFrom: $validFrom
+      validTo: $validTo
+      maxAmountPerMonth: $maxAmountPerMonth
+      maxPerCycle: $maxPerCycle
+      id: $id
+    ) {
+      id
+      amount
+      name
+      memo
+      code
+      link
+      createdAt
+      validFrom
+      validTo
+      maxAmountPerMonth
+      cycle
+      maxPerCycle
+    }
+  }
+`
+
+export const deleteContributionLink = gql`
+  mutation ($id: Int!) {
+    deleteContributionLink(id: $id)
+  }
+`
+
+export const createContribution = gql`
+  mutation ($amount: Decimal!, $memo: String!, $creationDate: String!) {
+    createContribution(amount: $amount, memo: $memo, creationDate: $creationDate) {
+      id
+      amount
+      memo
+    }
+  }
+`
+
+export const updateContribution = gql`
+  mutation ($contributionId: Int!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
+    updateContribution(
+      contributionId: $contributionId
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    ) {
+      id
+      amount
+      memo
+    }
+  }
+`
+
+export const deleteContribution = gql`
+  mutation ($id: Int!) {
+    deleteContribution(id: $id)
   }
 `
diff --git a/backend/src/seeds/graphql/queries.ts b/backend/src/seeds/graphql/queries.ts
index 03ee3b53e..9f7a02e70 100644
--- a/backend/src/seeds/graphql/queries.ts
+++ b/backend/src/seeds/graphql/queries.ts
@@ -110,6 +110,7 @@ export const searchUsers = gql`
         hasElopage
         emailConfirmationSend
         deletedAt
+        isAdmin
       }
     }
   }
@@ -171,11 +172,51 @@ export const queryTransactionLink = gql`
   }
 `
 
+export const listContributions = gql`
+  query (
+    $currentPage: Int = 1
+    $pageSize: Int = 5
+    $order: Order
+    $filterConfirmed: Boolean = false
+  ) {
+    listContributions(
+      currentPage: $currentPage
+      pageSize: $pageSize
+      order: $order
+      filterConfirmed: $filterConfirmed
+    ) {
+      contributionCount
+      contributionList {
+        id
+        amount
+        memo
+      }
+    }
+  }
+`
+
+export const listAllContributions = `
+query ($currentPage: Int = 1, $pageSize: Int = 5, $order: Order = DESC) {
+  listAllContributions(currentPage: $currentPage, pageSize: $pageSize, order: $order) {
+  	contributionCount
+    contributionList {
+      id
+      firstName
+      lastName
+      amount
+      memo
+      createdAt
+      confirmedAt
+      confirmedBy
+    }
+	}
+}
+`
 // from admin interface
 
-export const getPendingCreations = gql`
+export const listUnconfirmedContributions = gql`
   query {
-    getPendingCreations {
+    listUnconfirmedContributions {
       id
       firstName
       lastName
@@ -217,3 +258,25 @@ export const listTransactionLinksAdmin = gql`
     }
   }
 `
+
+export const listContributionLinks = gql`
+  query ($pageSize: Int = 25, $currentPage: Int = 1, $order: Order) {
+    listContributionLinks(pageSize: $pageSize, currentPage: $currentPage, order: $order) {
+      links {
+        id
+        amount
+        name
+        memo
+        code
+        link
+        createdAt
+        validFrom
+        validTo
+        maxAmountPerMonth
+        cycle
+        maxPerCycle
+      }
+      count
+    }
+  }
+`
diff --git a/backend/src/seeds/index.ts b/backend/src/seeds/index.ts
index 710f255ee..8e9a4e2d8 100644
--- a/backend/src/seeds/index.ts
+++ b/backend/src/seeds/index.ts
@@ -9,9 +9,11 @@ import { name, internet, datatype } from 'faker'
 import { users } from './users/index'
 import { creations } from './creation/index'
 import { transactionLinks } from './transactionLink/index'
+import { contributionLinks } from './contributionLink/index'
 import { userFactory } from './factory/user'
 import { creationFactory } from './factory/creation'
 import { transactionLinkFactory } from './factory/transactionLink'
+import { contributionLinkFactory } from './factory/contributionLink'
 import { entities } from '@entity/index'
 import CONFIG from '@/config'
 
@@ -77,6 +79,11 @@ const run = async () => {
     await transactionLinkFactory(seedClient, transactionLinks[i])
   }
 
+  // create Contribution Links
+  for (let i = 0; i < contributionLinks.length; i++) {
+    await contributionLinkFactory(seedClient, contributionLinks[i])
+  }
+
   await con.close()
 }
 
diff --git a/backend/src/server/logger.ts b/backend/src/server/logger.ts
index 27d0cf75b..cbc8c9b9b 100644
--- a/backend/src/server/logger.ts
+++ b/backend/src/server/logger.ts
@@ -5,7 +5,8 @@ import { readFileSync } from 'fs'
 
 const options = JSON.parse(readFileSync(CONFIG.LOG4JS_CONFIG, 'utf-8'))
 
-options.categories.default.level = CONFIG.LOG_LEVEL
+options.categories.backend.level = CONFIG.LOG_LEVEL
+options.categories.apollo.level = CONFIG.LOG_LEVEL
 
 log4js.configure(options)
 
diff --git a/backend/src/server/plugins.ts b/backend/src/server/plugins.ts
index 134ca1bb9..24df45baa 100644
--- a/backend/src/server/plugins.ts
+++ b/backend/src/server/plugins.ts
@@ -31,18 +31,24 @@ const filterVariables = (variables: any) => {
 const logPlugin = {
   requestDidStart(requestContext: any) {
     const { logger } = requestContext
-    const { query, mutation, variables } = requestContext.request
-    logger.info(`Request:
+    const { query, mutation, variables, operationName } = requestContext.request
+    if (operationName !== 'IntrospectionQuery') {
+      logger.info(`Request:
 ${mutation || query}variables: ${JSON.stringify(filterVariables(variables), null, 2)}`)
+    }
     return {
       willSendResponse(requestContext: any) {
-        if (requestContext.context.user) logger.info(`User ID: ${requestContext.context.user.id}`)
-        if (requestContext.response.data)
-          logger.info(`Response-Data:
+        if (operationName !== 'IntrospectionQuery') {
+          if (requestContext.context.user) logger.info(`User ID: ${requestContext.context.user.id}`)
+          if (requestContext.response.data) {
+            logger.info('Response Success!')
+            logger.trace(`Response-Data:
 ${JSON.stringify(requestContext.response.data, null, 2)}`)
-        if (requestContext.response.errors)
-          logger.error(`Response-Errors:
+          }
+          if (requestContext.response.errors)
+            logger.error(`Response-Errors:
 ${JSON.stringify(requestContext.response.errors, null, 2)}`)
+        }
         return requestContext
       },
     }
diff --git a/database/entity/0039-contributions_table/Contribution.ts b/database/entity/0039-contributions_table/Contribution.ts
new file mode 100644
index 000000000..b5e6ac0e0
--- /dev/null
+++ b/database/entity/0039-contributions_table/Contribution.ts
@@ -0,0 +1,61 @@
+import Decimal from 'decimal.js-light'
+import {
+  BaseEntity,
+  Column,
+  Entity,
+  PrimaryGeneratedColumn,
+  DeleteDateColumn,
+  JoinColumn,
+  ManyToOne,
+} from 'typeorm'
+import { DecimalTransformer } from '../../src/typeorm/DecimalTransformer'
+import { User } from '../User'
+
+@Entity('contributions')
+export class Contribution extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ unsigned: true, nullable: false, name: 'user_id' })
+  userId: number
+
+  @ManyToOne(() => User, (user) => user.contributions)
+  @JoinColumn({ name: 'user_id' })
+  user: User
+
+  @Column({ type: 'datetime', default: () => 'CURRENT_TIMESTAMP', name: 'created_at' })
+  createdAt: Date
+
+  @Column({ type: 'datetime', nullable: false, name: 'contribution_date' })
+  contributionDate: Date
+
+  @Column({ length: 255, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  memo: string
+
+  @Column({
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: false,
+    transformer: DecimalTransformer,
+  })
+  amount: Decimal
+
+  @Column({ unsigned: true, nullable: true, name: 'moderator_id' })
+  moderatorId: number
+
+  @Column({ unsigned: true, nullable: true, name: 'contribution_link_id' })
+  contributionLinkId: number
+
+  @Column({ unsigned: true, nullable: true, name: 'confirmed_by' })
+  confirmedBy: number
+
+  @Column({ nullable: true, name: 'confirmed_at' })
+  confirmedAt: Date
+
+  @Column({ unsigned: true, nullable: true, name: 'transaction_id' })
+  transactionId: number
+
+  @DeleteDateColumn({ name: 'deleted_at' })
+  deletedAt: Date | null
+}
diff --git a/database/entity/0039-contributions_table/User.ts b/database/entity/0039-contributions_table/User.ts
new file mode 100644
index 000000000..147ae6f6f
--- /dev/null
+++ b/database/entity/0039-contributions_table/User.ts
@@ -0,0 +1,83 @@
+import {
+  BaseEntity,
+  Entity,
+  PrimaryGeneratedColumn,
+  Column,
+  DeleteDateColumn,
+  OneToMany,
+  JoinColumn,
+} from 'typeorm'
+import { Contribution } from '../Contribution'
+
+@Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
+export class User extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ name: 'public_key', type: 'binary', length: 32, default: null, nullable: true })
+  pubKey: Buffer
+
+  @Column({ name: 'privkey', type: 'binary', length: 80, default: null, nullable: true })
+  privKey: Buffer
+
+  @Column({ length: 255, unique: true, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  email: string
+
+  @Column({
+    name: 'first_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  firstName: string
+
+  @Column({
+    name: 'last_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  lastName: string
+
+  @DeleteDateColumn()
+  deletedAt: Date | null
+
+  @Column({ type: 'bigint', default: 0, unsigned: true })
+  password: BigInt
+
+  @Column({ name: 'email_hash', type: 'binary', length: 32, default: null, nullable: true })
+  emailHash: Buffer
+
+  @Column({ name: 'created', default: () => 'CURRENT_TIMESTAMP', nullable: false })
+  createdAt: Date
+
+  @Column({ name: 'email_checked', type: 'bool', nullable: false, default: false })
+  emailChecked: boolean
+
+  @Column({ length: 4, default: 'de', collation: 'utf8mb4_unicode_ci', nullable: false })
+  language: string
+
+  @Column({ name: 'is_admin', type: 'datetime', nullable: true, default: null })
+  isAdmin: Date | null
+
+  @Column({ name: 'referrer_id', type: 'int', unsigned: true, nullable: true, default: null })
+  referrerId?: number | null
+
+  @Column({ name: 'publisher_id', default: 0 })
+  publisherId: number
+
+  @Column({
+    type: 'text',
+    name: 'passphrase',
+    collation: 'utf8mb4_unicode_ci',
+    nullable: true,
+    default: null,
+  })
+  passphrase: string
+
+  @OneToMany(() => Contribution, (contribution) => contribution.user)
+  @JoinColumn({ name: 'user_id' })
+  contributions?: Contribution[]
+}
diff --git a/database/entity/0040-add_contribution_link_id_to_user/User.ts b/database/entity/0040-add_contribution_link_id_to_user/User.ts
new file mode 100644
index 000000000..56047345a
--- /dev/null
+++ b/database/entity/0040-add_contribution_link_id_to_user/User.ts
@@ -0,0 +1,92 @@
+import {
+  BaseEntity,
+  Entity,
+  PrimaryGeneratedColumn,
+  Column,
+  DeleteDateColumn,
+  OneToMany,
+  JoinColumn,
+} from 'typeorm'
+import { Contribution } from '../Contribution'
+
+@Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
+export class User extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ name: 'public_key', type: 'binary', length: 32, default: null, nullable: true })
+  pubKey: Buffer
+
+  @Column({ name: 'privkey', type: 'binary', length: 80, default: null, nullable: true })
+  privKey: Buffer
+
+  @Column({ length: 255, unique: true, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  email: string
+
+  @Column({
+    name: 'first_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  firstName: string
+
+  @Column({
+    name: 'last_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  lastName: string
+
+  @DeleteDateColumn()
+  deletedAt: Date | null
+
+  @Column({ type: 'bigint', default: 0, unsigned: true })
+  password: BigInt
+
+  @Column({ name: 'email_hash', type: 'binary', length: 32, default: null, nullable: true })
+  emailHash: Buffer
+
+  @Column({ name: 'created', default: () => 'CURRENT_TIMESTAMP', nullable: false })
+  createdAt: Date
+
+  @Column({ name: 'email_checked', type: 'bool', nullable: false, default: false })
+  emailChecked: boolean
+
+  @Column({ length: 4, default: 'de', collation: 'utf8mb4_unicode_ci', nullable: false })
+  language: string
+
+  @Column({ name: 'is_admin', type: 'datetime', nullable: true, default: null })
+  isAdmin: Date | null
+
+  @Column({ name: 'referrer_id', type: 'int', unsigned: true, nullable: true, default: null })
+  referrerId?: number | null
+
+  @Column({
+    name: 'contribution_link_id',
+    type: 'int',
+    unsigned: true,
+    nullable: true,
+    default: null,
+  })
+  contributionLinkId?: number | null
+
+  @Column({ name: 'publisher_id', default: 0 })
+  publisherId: number
+
+  @Column({
+    type: 'text',
+    name: 'passphrase',
+    collation: 'utf8mb4_unicode_ci',
+    nullable: true,
+    default: null,
+  })
+  passphrase: string
+
+  @OneToMany(() => Contribution, (contribution) => contribution.user)
+  @JoinColumn({ name: 'user_id' })
+  contributions?: Contribution[]
+}
diff --git a/database/entity/0043-add_event_protocol_table/EventProtocol.ts b/database/entity/0043-add_event_protocol_table/EventProtocol.ts
new file mode 100644
index 000000000..72470d2ed
--- /dev/null
+++ b/database/entity/0043-add_event_protocol_table/EventProtocol.ts
@@ -0,0 +1,39 @@
+import Decimal from 'decimal.js-light'
+import { BaseEntity, Entity, PrimaryGeneratedColumn, Column } from 'typeorm'
+import { DecimalTransformer } from '../../src/typeorm/DecimalTransformer'
+
+@Entity('event_protocol')
+export class EventProtocol extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ length: 100, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  type: string
+
+  @Column({ name: 'created_at', type: 'datetime', default: () => 'CURRENT_TIMESTAMP' })
+  createdAt: Date
+
+  @Column({ name: 'user_id', unsigned: true, nullable: false })
+  userId: number
+
+  @Column({ name: 'x_user_id', unsigned: true, nullable: true })
+  xUserId: number
+
+  @Column({ name: 'x_community_id', unsigned: true, nullable: true })
+  xCommunityId: number
+
+  @Column({ name: 'transaction_id', unsigned: true, nullable: true })
+  transactionId: number
+
+  @Column({ name: 'contribution_id', unsigned: true, nullable: true })
+  contributionId: number
+
+  @Column({
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: true,
+    transformer: DecimalTransformer,
+  })
+  amount: Decimal
+}
diff --git a/database/entity/Contribution.ts b/database/entity/Contribution.ts
new file mode 100644
index 000000000..82dd6478c
--- /dev/null
+++ b/database/entity/Contribution.ts
@@ -0,0 +1 @@
+export { Contribution } from './0039-contributions_table/Contribution'
diff --git a/database/entity/EventProtocol.ts b/database/entity/EventProtocol.ts
new file mode 100644
index 000000000..4a73f146c
--- /dev/null
+++ b/database/entity/EventProtocol.ts
@@ -0,0 +1 @@
+export { EventProtocol } from './0043-add_event_protocol_table/EventProtocol'
diff --git a/database/entity/User.ts b/database/entity/User.ts
index 2d434799e..99b8c8ca9 100644
--- a/database/entity/User.ts
+++ b/database/entity/User.ts
@@ -1 +1 @@
-export { User } from './0037-drop_user_setting_table/User'
+export { User } from './0040-add_contribution_link_id_to_user/User'
diff --git a/database/entity/index.ts b/database/entity/index.ts
index 991e482e9..733c99a3a 100644
--- a/database/entity/index.ts
+++ b/database/entity/index.ts
@@ -5,10 +5,11 @@ import { Migration } from './Migration'
 import { Transaction } from './Transaction'
 import { TransactionLink } from './TransactionLink'
 import { User } from './User'
-import { AdminPendingCreation } from './AdminPendingCreation'
+import { Contribution } from './Contribution'
+import { EventProtocol } from './EventProtocol'
 
 export const entities = [
-  AdminPendingCreation,
+  Contribution,
   ContributionLink,
   LoginElopageBuys,
   LoginEmailOptIn,
@@ -16,4 +17,5 @@ export const entities = [
   Transaction,
   TransactionLink,
   User,
+  EventProtocol,
 ]
diff --git a/database/migrations/0039-contributions_table.ts b/database/migrations/0039-contributions_table.ts
new file mode 100644
index 000000000..50b147448
--- /dev/null
+++ b/database/migrations/0039-contributions_table.ts
@@ -0,0 +1,59 @@
+/* MIGRATION to rename ADMIN_PENDING_CREATION table and add columns
+ */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn('RENAME TABLE `admin_pending_creations` TO `contributions`;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `userId` `user_id` int(10);')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `created` `created_at` datetime;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `date` `contribution_date` datetime;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `moderator` `moderator_id` int(10);')
+
+  await queryFn(
+    'ALTER TABLE `contributions` ADD COLUMN `contribution_link_id` int(10) unsigned DEFAULT NULL AFTER `moderator_id`;',
+  )
+
+  await queryFn(
+    'ALTER TABLE `contributions` ADD COLUMN `confirmed_by` int(10) unsigned DEFAULT NULL AFTER `contribution_link_id`;',
+  )
+
+  await queryFn(
+    'ALTER TABLE `contributions` ADD COLUMN `confirmed_at` datetime DEFAULT NULL AFTER `confirmed_by`;',
+  )
+
+  await queryFn(
+    'ALTER TABLE `contributions` ADD COLUMN `transaction_id` int(10) unsigned DEFAULT NULL AFTER `confirmed_at`;',
+  )
+
+  await queryFn(
+    'ALTER TABLE `contributions` ADD COLUMN `deleted_at` datetime DEFAULT NULL AFTER `confirmed_at`;',
+  )
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn('ALTER TABLE `contributions` DROP COLUMN IF EXISTS `deleted_at`;')
+
+  await queryFn('ALTER TABLE `contributions` DROP COLUMN IF EXISTS `transaction_id`;')
+
+  await queryFn('ALTER TABLE `contributions` DROP COLUMN IF EXISTS `confirmed_at`;')
+
+  await queryFn('ALTER TABLE `contributions` DROP COLUMN IF EXISTS `confirmed_by`;')
+
+  await queryFn('ALTER TABLE `contributions` DROP COLUMN IF EXISTS `contribution_link_id`;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `moderator_id` `moderator` int(10);')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `created_at` `created` datetime;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `contribution_date` `date` datetime;')
+
+  await queryFn('ALTER TABLE `contributions` CHANGE COLUMN `user_id` `userId` int(10);')
+
+  await queryFn('RENAME TABLE `contributions` TO `admin_pending_creations`;')
+}
